// Class Code Set 20

// noise #1
float x, y, oldX, oldY;
float xNoise, yNoise;
float xOffSet, yOffSet;


void setup( )
{
   size( 600, 600 );
   xNoise = random( width );
   yNoise = random( height );
   xOffSet = 0.001;  //  change this value to alter the line
   yOffSet = 0.001;  //  change this value to alter the line
   strokeWeight( 4 );
   rectMode( CENTER );
   textAlign( CENTER, CENTER );
}

void draw( )
{
    //drawRandomPoint( );
    //drawRandomLine( );
    drawNoisePoint( );
    drawNoiseLine( );
    
    showFrameRate( );
}

void drawRandomPoint( )
{
    stroke(  0, 0, 255 );
    strokeWeight( 4 );
    x = random( width);
    y = random( height);
    point( x, y );      
}

void drawRandomLine( )
{
  stroke(  200, 0, 0 );
  strokeWeight( 1 );
  
  if (frameCount > 1 )
  {
    line( oldX, oldY, x, y );
  }
  oldX = x;
  oldY = y;
}

void drawNoisePoint( )
{
    stroke( 0, 0, 255 );
    strokeWeight( 4 );
    x = noise( xNoise )  * width ;
    y = noise( yNoise )  * height;
    point( x, y );
    xNoise = xNoise + xOffSet;
    yNoise = yNoise + yOffSet; 
}

void drawNoiseLine( )
{
    stroke( 255, 0, 0 );
    strokeWeight( 1 );;

    if (frameCount > 1 )
    {
      line( oldX, oldY, x, y );
    }
    
    oldX = x;
    oldY = y;
}

void showFrameRate( )
{
   fill( 200, 200,20 );
   noStroke( );
   rect( 50,  20, 50, 20 );
   fill( 0 );
   textSize( 12 );
   text( frameRate, 50, 20 ); 
}


