// Class Code Set 20

// noise #3
float x, y;
float xNoise, yNoise;
float xOffSet, yOffSet;
float redNoise, greenNoise, blueNoise;
float redOffSet, greenOffSet, blueOffSet;
color col;

String s = "Carnegie Mellon University" ;
void setup( )
{
   size( 600, 600 );

   xOffSet = 0.005;
   yOffSet = 0.005;
   redOffSet = 0.01;
   greenOffSet = 0.02;
   blueOffSet = 0.03;
   
   noStroke( );
   fill( 0 );
   textAlign( CENTER, CENTER );
   rectMode( CENTER );
   textSize( 24 );
   background( 255 );
   col = color( random( 256 ), random( 256 ), random( 256 ) );
}

void draw( )
{  
    float r = noise(redNoise) * 255;
    float g = noise(greenNoise) * 255;
    float b = noise(blueNoise) * 250;
    
    col = color( r, g, b); 

    redNoise += redOffSet;
    greenNoise += greenOffSet;
    blueNoise += blueOffSet;
 
    drawNoiseText( );
    showFrameRate( );
}

void drawRandomText( )
{
    x = random( width);
    y = random( height);
    fill( 0 );
    text(s,  x, y );      
}

void drawNoiseText( )
{
    x = noise( xNoise )  * width ;
    y = noise( yNoise )  * height;
    
    fill( 255 );
    rect( x, frameCount%width, textWidth( s ) , 4 );
    
    fill( col );
    
    textSize( 24 );
    text( s, x,  frameCount%width);
    
    xNoise = xNoise - xOffSet;
    yNoise = yNoise + yOffSet; 
}

void keyPressed( )
{
   saveFrame( "image" + frameCount + ".jpg" ); 
}

void showFrameRate( )
{
   fill( 200, 200,20 );
   noStroke( );
   rect( 50,  20, 50, 20 );
   fill( 0 );
   textSize( 12 );
   text( frameRate, 50, 20 ); 
}
